## org.apache.batik.ext.awt.image.rendered
Class FilterAsAlphaRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.FilterAsAlphaRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class FilterAsAlphaRed
extends AbstractRed

This converts any source into a mask according to the SVG masking rules.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`FilterAsAlphaRed(CachableRed src)` Construct an alpah channel from the given src, according to the SVG masking rules.

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterAsAlphaRed

    public FilterAsAlphaRed(CachableRed src)

  Construct an alpah channel from the given src, according to the SVG masking rules.

Parameters:
  `src` - The image to convert to an alpha channel (mask image)

Method Detail

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.